---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/commit-id: 1d5cc6cbbff440ebebfdf43a42a07f7b13b5505e
    app.quarkus.io/build-timestamp: 2021-10-14 - 09:14:26 +0000
  labels:
    app.kubernetes.io/name: app
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    scenarioId: OpenShiftLifecycleApplicationIT-1634202633754
    tsLogWatch: app
    app.openshift.io/runtime: quarkus
  name: app
spec:
  ports:
    - name: http
      port: 80
      targetPort: 8080
  selector:
    app.kubernetes.io/name: app
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
  type: ClusterIP
---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/commit-id: 1d5cc6cbbff440ebebfdf43a42a07f7b13b5505e
    app.quarkus.io/build-timestamp: 2021-10-14 - 09:14:26 +0000
  labels:
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: app
    scenarioId: OpenShiftLifecycleApplicationIT-1634202633754
    tsLogWatch: app
    app.openshift.io/runtime: quarkus
  name: app
spec: {}
---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  name: ubi-quarkus-native-binary-s2i
spec:
  dockerImageRepository: quay.io/quarkus/ubi-quarkus-native-binary-s2i
---
apiVersion: build.openshift.io/v1
kind: BuildConfig
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/commit-id: 1d5cc6cbbff440ebebfdf43a42a07f7b13b5505e
    app.quarkus.io/build-timestamp: 2021-10-14 - 09:14:26 +0000
  labels:
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: app
    scenarioId: OpenShiftLifecycleApplicationIT-1634202633754
    tsLogWatch: app
    app.openshift.io/runtime: quarkus
  name: app
spec:
  output:
    to:
      kind: ImageStreamTag
      name: app:1.0.0-SNAPSHOT
  source:
    binary: {}
  strategy:
    sourceStrategy:
      from:
        kind: ImageStreamTag
        name: ubi-quarkus-native-binary-s2i:1.0
---
apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/commit-id: 1d5cc6cbbff440ebebfdf43a42a07f7b13b5505e
    app.quarkus.io/build-timestamp: 2021-10-14 - 09:14:26 +0000
  labels:
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    app.kubernetes.io/name: app
    scenarioId: OpenShiftLifecycleApplicationIT-1634202633754
    tsLogWatch: app
    app.openshift.io/runtime: quarkus
  name: app
spec:
  replicas: 1
  selector:
    app.kubernetes.io/name: app
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
  template:
    metadata:
      annotations:
        app.openshift.io/vcs-url: <<unknown>>
        app.quarkus.io/commit-id: 1d5cc6cbbff440ebebfdf43a42a07f7b13b5505e
        app.quarkus.io/build-timestamp: 2021-10-14 - 09:14:26 +0000
      labels:
        app.kubernetes.io/version: 1.0.0-SNAPSHOT
        app.kubernetes.io/name: app
        scenarioId: OpenShiftLifecycleApplicationIT-1634202633754
        tsLogWatch: app
        app.openshift.io/runtime: quarkus
    spec:
      containers:
        - args:
            - ARG1
            - ARG2
          env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: QUARKUS_HOME
              value: /home/quarkus/
            - name: QUARKUS_OPTS
              value: -Dquarkus.http.host=0.0.0.0
            - name: QUARKUS_LOG_CONSOLE_FORMAT
              value: "%d{HH:mm:ss,SSS} %s%e%n"
          image: ts-xqucahzfih/app:1.0.0-SNAPSHOT
          imagePullPolicy: IfNotPresent
          name: app
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
  triggers:
    - imageChangeParams:
        automatic: true
        containerNames:
          - app
        from:
          kind: ImageStreamTag
          name: app:1.0.0-SNAPSHOT
      type: ImageChange
---
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  annotations:
    app.openshift.io/vcs-url: <<unknown>>
    app.quarkus.io/commit-id: 1d5cc6cbbff440ebebfdf43a42a07f7b13b5505e
    app.quarkus.io/build-timestamp: 2021-10-14 - 09:14:26 +0000
  labels:
    app.kubernetes.io/name: app
    app.kubernetes.io/version: 1.0.0-SNAPSHOT
    scenarioId: OpenShiftLifecycleApplicationIT-1634202633754
    tsLogWatch: app
    app.openshift.io/runtime: quarkus
  name: app
spec:
  port:
    targetPort: 8080
  to:
    kind: Service
    name: app
